
// Normal Colors
// checkoutHeatmap
// checkouts : precip



color colorDetermine (String waterType, int numCheckouts, int max, float precip) {
  color c = color (255);
  
  float relativeCheckouts = float(numCheckouts) / float(max);
  
  if (normalColors == true) {
    if (waterType.equals("Rain")) {
      c = #0099CC;
    }
    else if (waterType.equals("Water")) {
      c = #60AFFE  ;
    }
    else if (waterType.equals("River")) {
      c = #0EBFE9;
    }
    else if (waterType.equals("Lake")) {
      c = #00EEEE;
    }
    else if (waterType.equals("Ocean")) {
      c = #50A6C2;
    }
    else if (waterType.equals("Sea")) {
      c = #388E8E;
    }
    else if (waterType.equals("Total")) {
      c = #326E8A;
    }
  }
  if (checkoutColors == true) {
    relativeCheckouts = relativeCheckouts * 100;
    if (relativeCheckouts < 20) {
      c = #2A3742;
    }
    else if (20 <= relativeCheckouts && relativeCheckouts < 40) {
      c = #2D5E5C;
    }
    else if (40 <= relativeCheckouts && relativeCheckouts < 60) {
      c = #4E8560;
    }
    else if (60 <= relativeCheckouts && relativeCheckouts < 80) {
      c = #94A659;
    }
    else {
      c = #F0BE64;
    }
  }  
  
  if (precipColors == true) {
    float relPrecip = (precip / 2.73) * 100;
    if (relPrecip < 20) {
      c = #2A3742;
    }
    else if (20 <= relPrecip && relPrecip < 40) {
      c = #2D5E5C;
    }
    else if (40 <= relPrecip && relPrecip < 60) {
      c = #4E8560;
    }
    else if (60 <= relPrecip && relPrecip < 80) {
      c = #94A659;
    }
    else {
      c = #F0BE64;
    }
  }  
      
     return c;
}
