boolean showTotal = true;
boolean showWater = false;
boolean showRain = false;
boolean showRiver = false;
boolean showLake = false;
boolean showOcean = false;
boolean showSea = false;
boolean showAll = false;
boolean showHull = true;

boolean normalColors = true;
boolean checkoutColors = false;
boolean precipColors = false;

boolean isolateYear = false;
boolean showTitle = true;

void keyPressed() {
  
  switch(keyCode){
    case UP :
    yearMove +=200;
    break;    
    case DOWN :
    yearMove -=200;
    break;    
  }
  if(yearMove>2400) yearMove=2400;
  if(yearMove< 0) yearMove=0;
  
  if (key == 'y' || key == 'Y') {
    isolateYear = !isolateYear;
  }
  
  if (key == '1') {
    showHull = !showHull;
  }
  if (key == '2') {
    showTitle = !showTitle;
  }
  
  if (key == '7') {
    normalColors = true;
    checkoutColors = false;
    precipColors = false;
  }
  if (key == '8') {
    normalColors = false;
    checkoutColors = true;
    precipColors = false;
  }
  if (key == '9') {
    normalColors = false;
    checkoutColors = false;
    precipColors = true;
  }
  
  if (key == 't' || key == 'T') {
    showTotal = true;
    showWater = false;
    showRain = false;
    showRiver = false;
    showLake = false;
    showOcean = false;
    showSea = false;
  }
  
  if (key == 'w' || key == 'W') {
    showTotal = false;
    showWater = true;
    showRain = false;
    showRiver = false;
    showLake = false;
    showOcean = false;
    showSea = false;
  }
  
  if (key == 'r' || key == 'R') {
    showTotal = false;
    showWater = false;
    showRain = true;
    showRiver = false;
    showLake = false;
    showOcean = false;
    showSea = false;
  }
  
  if (key == 'e' || key == 'E') {
    showTotal = false;
    showWater = false;
    showRain = false;
    showRiver = true;
    showLake = false;
    showOcean = false;
    showSea = false;
  }
  
  if (key == 'd' || key == 'D') {
    showTotal = false;
    showWater = false;
    showRain = false;
    showRiver = false;
    showLake = true;
    showOcean = false;
    showSea = false;
  }
  
  if (key == 'q' || key == 'Q') {
    showTotal = false;
    showWater = false;
    showRain = false;
    showRiver = false;
    showLake = false;
    showOcean = true;
    showSea = false;
  }
  
  if (key == 's' || key == 'S') {
    showTotal = false;
    showWater = false;
    showRain = false;
    showRiver = false;
    showLake = false;
    showOcean = false;
    showSea = true;
  }
  
  if (key == 'a' || key == 'A') {
    showTotal = false;
    showWater = true;
    showRain = true;
    showRiver = true;
    showLake = true;
    showOcean = true;
    showSea = true;
  }
}

void interaction() {
  cp5 = new ControlP5(this);
  int posY = height -50;
  
   hint(DISABLE_DEPTH_TEST);
   cam.beginHUD();
   cp5.draw();
   
    //pushMatrix();
    //textAlign(LEFT,CENTER);  
    //fill(255);
    //textFont(fA,15);
    //text("CORRELATION OF PRECIPITATION WITH CHECKOUTS OF BOOKS ABOUT WATER "+"\n"+"SEATLE PUBLIC LIBRIARY"+"\n" +"2007-2019",80,80);
    //popMatrix();
    
    pushMatrix();
    textAlign(LEFT,CENTER);  
    fill(255);
    textFont(fA,15);
    text("A  ||  All ",40,height-60);
    text("S  ||  Sea",40,height-80);
    text("Q  ||  Ocean",40,height-100);
    text("E  ||  River",40,height-120);
    text("D  ||  Lake",40,height-140);
    text("R  ||  Rain",40,height-160);
    text("W  ||  Water",40,height-180);
    text("T  ||  Total",40,height-200);
    
    text("Y  ||  Toggle Isloate Year ",width-200,height-140);
    text("1  ||  Toggle Convex Hull ",width-200,height-120);
    text("2  ||  Toggle Title ",width-200,height-100);
    text("7  ||  Normal Colors ",width-200,height-80);
    text("8  ||  Checkout Colors ",width-200,height-60);
    text("9  ||  Precipitation Colors ",width-200,height-40);
    popMatrix();
    
   cam.endHUD();
   hint(ENABLE_DEPTH_TEST);
}

void displayInfo (float x, float y, float z, int checkouts, float precip) {
  float mappedX = screenX (x,y,z);
  float mappedY = screenY (x,y,z);
    
  float distance = dist (mouseX, mouseY, mappedX, mappedY);
    
  if (distance < 5) {
    pushMatrix(); // Save current matrix
    fill (255);
    translate (x,y,z);
    textAlign (LEFT, BOTTOM);
    textFont(fA,3);
    //scale(1);
    text ("Checkouts: " + checkouts, 0, -5);
    text ("Precipitation: " + precip, 0, 0);
    popMatrix();
    }  
}
